
Foreman - Bug #11765

Dashboard error - undefined method `count' for #<ForemanTasks::Task state: "stopped", result:

"success">

09/10/2015 10:10 AM - Jim Dubinsky

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Dashboard   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.9.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Running Foreman 1.9.0 installed via yum repo for CentOS 7.1.

All remote hosts via salt and salt smart proxy (2.1.5)/foreman proxy 1.9.0 on remote salt master.

foreman/salt rpms on foreman host:

foreman-1.9.0-1.el7.noarch

foreman-cli-1.9.0-1.el7.noarch

foreman-compute-1.9.0-1.el7.noarch

foreman-debug-1.9.0-1.el7.noarch

foreman-installer-1.9.0-1.el7.noarch

foreman-libvirt-1.9.0-1.el7.noarch

foreman-mysql2-1.9.0-1.el7.noarch

foreman-proxy-1.9.0-1.el7.noarch

foreman-release-1.9.0-1.el7.noarch

foreman-release-scl-1-1.el7.x86_64

foreman-selinux-1.9.0-1.el7.noarch

foreman-vmware-1.9.0-1.el7.noarch

ruby193-rubygem-foreman_docker-1.4.1-1.fm1_9.el7.noarch

ruby193-rubygem-foreman_hooks-0.3.8-1.el7.noarch

ruby193-rubygem-foreman_salt-3.0.2-1.fm1_9.el7.noarch

ruby193-rubygem-foreman_setup-3.0.2-1.fm1_9.el7.noarch

ruby193-rubygem-foreman-tasks-0.7.3-1.fm1_9.el7.noarch

ruby193-rubygem-foreman_templates-2.0.0-1.el7.noarch

rubygem-hammer_cli_foreman-0.3.0-1.el7.noarch

rubygem-smart_proxy_salt-2.1.5-1.el7.noarch

salt-2015.5.3-4.el7.noarch

salt-master-2015.5.3-4.el7.noarch

salt-minion-2015.5.3-4.el7.noarch

Related issues:

Is duplicate of foreman-tasks - Bug #11381: undefined method `count' for #<Fo... Closed 08/17/2015

History

#1 - 09/10/2015 10:16 AM - Dominic Cleal

- Is duplicate of Bug #11381: undefined method `count' for #<ForemanTasks::Task state: "stopped", result: "error"> breaks dashboard. added

#2 - 09/10/2015 10:16 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report.  This looks like ticket #11381 which affected MySQL and has just been fixed in the Foreman Tasks plugin.  I think they'll be

issuing an update soon.

Files
foreman.dashboard.error.http-ssl.log 1000 Bytes 09/10/2015 Jim Dubinsky

foreman.dashboard.error.production.log 20.8 KB 09/10/2015 Jim Dubinsky

foreman.dashboard.stacktrace.txt 19.3 KB 09/10/2015 Jim Dubinsky
